org.apache.cassandra.cql3.statements

## Class SingleColumnRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.statements.SingleColumnRestriction

All Implemented Interfaces:
  Restriction

Direct Known Subclasses:
  SingleColumnRestriction.Contains, SingleColumnRestriction.EQ, SingleColumnRestriction.InWithMarker, SingleColumnRestriction.InWithValues, SingleColumnRestriction.Slice

    public abstract class SingleColumnRestriction
    extends java.lang.Object
    implements Restriction

### Nested Class Summary

Nested Classes
`static class` `SingleColumnRestriction.Contains`
`static class` `SingleColumnRestriction.EQ`
`static class` `SingleColumnRestriction.InWithMarker`
`static class` `SingleColumnRestriction.InWithValues`
`static class` `SingleColumnRestriction.Slice`

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Restriction

`Restriction.IN`

### Constructor Summary

Constructors
Constructor and Description
`SingleColumnRestriction()`

### Method Summary

Methods
`boolean` `isMultiColumn()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

`isContains, isEQ, isIN, isOnToken, isSlice, values`

### Constructor Detail

#### SingleColumnRestriction

    public SingleColumnRestriction()

### Method Detail

#### isMultiColumn

    public boolean isMultiColumn()

Specified by:
  `isMultiColumn` in interface `Restriction`